import { DB } from "../../types"
import { managePbError } from "../../utils/pbTools"
import pbClient from "../pbClient"

const getOne = (id: string) =>
  managePbError<DB.MessageGroup>(() =>
    pbClient.collection("api_key").getOne(id, {
      expand: "app",
    })
  )

const apiKey = {
  getOne,
}

export default apiKey
