import { DB } from "../../types"
import { managePbError } from "../../utils/pbTools"
import pbClient from "../pbClient"

const create = (collection: DB.LogCollection, log: DB.Log) =>
  managePbError(() => pbClient.collection(collection).create(log))

const log = {
  create,
}

export default log
