import LarkBaseService from "./base"

class LarkAuthService extends LarkBaseService {
  getAk(appId: string, appSecret: string) {
    return this.post<{ tenant_access_token: string; code: number }>(
      "/auth/v3/tenant_access_token/internal",
      {
        app_id: appId,
        app_secret: appSecret,
      }
    )
  }
}

export default LarkAuthService
